[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TFieldDataLink.RecordChanged

RecordChanged - triggered if the contents of the current record change; calls Reset.

## Declaration

Source position: dbctrls.pp line 72

`protected procedure TFieldDataLink.RecordChanged(`
`aField: TField`
`); override;`

## Arguments

`aField` |  | Field definition with the value updated in the current record.

## Description

RecordChanged is an overridden procedure called when the current record in the linked dataset has been changed.

AField contains the TField definition with the value that has changed in the current record. It may contain Nil when more than one field has been changed in the current record for the linked dataset.

RecordChanged calls the Reset method when any of the following are True:

- AField is unassigned (contains Nil)
- AField has the same value as the Field property
- Field is an assigned key field which uses the fkLookup field kind

Applications should not call this method; it is executed when values are stored by data-aware controls which use the field data link.